import request from '@/utils/request'

// 查询用户注册列表
export function listMallMemberRegister(query) {
  return request({
    url: '/mall/mallMemberRegister/list',
    method: 'get',
    params: query
  })
}

// 查询用户注册详细
export function getMallMemberRegister(id) {
  return request({
    url: '/mall/mallMemberRegister/' + id,
    method: 'get'
  })
}

// 新增用户注册
export function addMallMemberRegister(data) {
  return request({
    url: '/mall/mallMemberRegister',
    method: 'post',
    data: data
  })
}

// 新增用户注册
export function examine(data) {
  return request({
    url: '/mall/mallMemberRegister/examine',
    method: 'post',
    data: data
  })
}

// 修改用户注册
export function updateMallMemberRegister(data) {
  return request({
    url: '/mall/mallMemberRegister',
    method: 'put',
    data: data
  })
}

// 删除用户注册
export function delMallMemberRegister(id) {
  return request({
    url: '/mall/mallMemberRegister/' + id,
    method: 'delete'
  })
}

// 导出用户注册
export function exportMallMemberRegister(query) {
  return request({
    url: '/mall/mallMemberRegister/export',
    method: 'get',
    params: query
  })
}
